Marco

Problème linux

25 messages dans ce sujet

Bonsoir communauté française aujourd'hui je poste ici concernant un problème avec mon debian 7.0 lors du démarrage du serveur SA:MP j'ai cette erreur la dans le server_log..

Loading plugin: mysql.so
[13:17:24]   Failed (/usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.19' not found (required by plugins/mysql.so))

 

Je sais pas pourquoi et j'ai chercher sur internet lors de l'installation de libssl que des erreurs..

Modifié par Marco

Partager ce message


Lien à poster
Partager sur d’autres sites

quel est la version mysql que tu essai d'installer?

Partager ce message


Lien à poster
Partager sur d’autres sites

La dernière mysql-R41-2-Debian8-static.tar.gz

Partager ce message


Lien à poster
Partager sur d’autres sites

Essai le deuxième plugin fourni avec le mysql.so sa doit être un mysql_jspquoi.so

Partager ce message


Lien à poster
Partager sur d’autres sites

Lorsque sur linux j'utilise "strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6 | grep GLIBCXX" les GLIBCXX s'arrête au 3.4.17 et moi il me manque le 3.4.19 :/

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 1 minute, Black a dit :

Essai le deuxième plugin fourni avec le mysql.so sa doit être un mysql_jspquoi.so

C'est à dire ?

Partager ce message


Lien à poster
Partager sur d’autres sites

Telecharge le plugin ensuite ouvre le t'aura mysql.so et un deuxième normalement utilise le deuxième au lieu de mysql.so 

Partager ce message


Lien à poster
Partager sur d’autres sites

Non, lorsque je télécharge le fichier y'a qu'un MySQL.so dans le dossier plugin

Partager ce message


Lien à poster
Partager sur d’autres sites

Sur Debian 7 les librairies utiles au dernier plugin MYSQL sont manquantes.

 

 

Utilise la version statique fournie en téléchargement sur le site.

Je viens de voir que ça n'existe plus pour debian 7... Il faudrait trouver pourquoi pour trouver une solution au problème... L'idéal serait de migrer sur debian 8.

 

Personnellement je suis encore sur debian 7, et je commence à avoir pas mal de problèmes avec certains logiciels... Php, apache2...

 

 

 

Pour plus d'information sur le fonctionnement des librairies sur linux ce document est bien construit si tu veux :

 

http://perso.ens-lyon.fr/frederic.vivien/Enseignement/PPP-2001-2002/LibDyn.pdf

1 personne aime ça

Partager ce message


Lien à poster
Partager sur d’autres sites

@Marco

 

@lionel62300 et @[email protected] ont effectivement raison. A partir de la version R40 il faut passer sous debian 8. Si vous souhaitez rester sous debian 7 alors la dernière mise à jour que vous pourrez installer sera la R39-6.

 

Source: cliquez ici

 

Modifié par DeeJas'

Partager ce message


Lien à poster
Partager sur d’autres sites

Merci de votre aide je vais migrer sur debian 8.0 du coup, je vous tiens au courant de la suite!

 

Partager ce message


Lien à poster
Partager sur d’autres sites

Sur debian 8 lorsque j'allume le serveur - avec la commande suivante: nohup ./samp03svr &

 

Je fais cd samp03 ensuite ./samp03svr &

 

il me dit nohup failed to run command..

Il me dit "no such file or directory" alors que sur debian 7 j'ai fais exactement la même installation et il ne me marquait pas sa..

Modifié par Marco

Partager ce message


Lien à poster
Partager sur d’autres sites

La librairie ia32 est pas installer

 

Partager ce message


Lien à poster
Partager sur d’autres sites

Je l'ai installé..

apt-get install ia32-libs

Partager ce message


Lien à poster
Partager sur d’autres sites

Pas d'erreur dans ton fichier server_log je suppose ? 

 

Quand tu fait cd samp03 tu arrive bien dans le repertoire ?

Modifié par lionel62300
1 personne aime ça

Partager ce message


Lien à poster
Partager sur d’autres sites

Il n'y a pas de fichier serveur log et oui cd samp03 j'arrive dans le bon répertoire..

Partager ce message


Lien à poster
Partager sur d’autres sites

essaie

chroot /samp03/ ou chroot /samp03/samp03svr

 

edit 

essaie sa plutot : chmod +x samp-npc samp03svr announce

Modifié par lionel62300

Partager ce message


Lien à poster
Partager sur d’autres sites

Je l'ai déjà fais sa justement marche toujours pas

Partager ce message


Lien à poster
Partager sur d’autres sites
à l’instant, Marco a dit :

Je l'ai déjà fais sa justement marche toujours pas

Bon alors la je sait pas, 

Partager ce message


Lien à poster
Partager sur d’autres sites

Le problème est corriger ceci était un problème de libs --

 

Si le problème vous arrive utilisez:

apt-get install ia32-libs

en suite:

apt-get install lib32stdc++6

 

Pourquoi la deuxième ? tout simplement car j'ai obtenu l'erreur "libstdc++.so.6: cannot open shared object file: No such file or directory"

 

Si cela vous arrive vous aurez la solution merci de l'aide!

 

#OFF

Modifié par Marco

Partager ce message


Lien à poster
Partager sur d’autres sites

Merci marco pour le retour :)

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a une heure, lionel62300 a dit :

Merci marco pour le retour :)

 

Pas de soucis !

Partager ce message


Lien à poster
Partager sur d’autres sites

Hop la lock et archive ! @AceK @Squalalah @AceK

Partager ce message


Lien à poster
Partager sur d’autres sites

Je lock et j'archive.

Partager ce message


Lien à poster
Partager sur d’autres sites
Guest
Ce sujet ne peut plus recevoir de nouvelles réponses.